Next Commerce
Subscriptions

Subscriptions Retrieve

Retrieve a subscription.

GET
/subscriptions/{id}/

Authorization

oauth2 subscriptions:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: subscriptions:read

Path Parameters

id*integer

A unique integer value identifying the Subscription.

Header Parameters

X-29next-API-Version*"2023-02-10"
Default"2023-02-10"

Value in

  • "2023-02-10"

Response Body

application/json

curl -X GET "https://example.com/subscriptions/0/" \  -H "X-29next-API-Version: 2023-02-10"
{  "attribution": {    "affiliate": "string",    "agent": {      "email": "user@example.com",      "first_name": "string",      "id": 0,      "last_name": "string"    },    "funnel": "string",    "gclid": "string",    "metadata": null,    "subaffiliate1": "string",    "subaffiliate2": "string",    "subaffiliate3": "string",    "subaffiliate4": "string",    "subaffiliate5": "string",    "utm_campaign": "string",    "utm_content": "string",    "utm_medium": "string",    "utm_source": "string",    "utm_term": "string"  },  "billing_address": {    "country": "string",    "first_name": "string",    "id": 0,    "last_name": "string",    "line1": "string",    "line2": "string",    "line3": "string",    "line4": "string",    "phone_number": "string",    "postcode": "string",    "state": "string"  },  "cancel_reason": "string",  "cancel_reason_other_message": "string",  "currency": "string",  "date_created": "2019-08-24T14:15:22Z",  "frequency": "string",  "id": 0,  "interval": "day",  "interval_count": 1,  "is_tax_known": true,  "is_test": true,  "lines": [    {      "id": 0,      "metadata": null,      "price": "string",      "product": {        "categories": [          {            "id": 0,            "name": "string",            "slug": "string"          }        ],        "id": 0,        "images": [          {            "attachment": "string",            "caption": "string",            "display_order": 0,            "file_name": "string",            "id": 0,            "src": "http://example.com"          }        ],        "title": "string",        "upc": "string",        "url": "http://example.com"      },      "properties": [        {          "key": "string",          "value": null        }      ],      "quantity": 0,      "stockrecord": {        "id": 0,        "low_stock_threshold": 0,        "num_allocated": -2147483648,        "num_in_stock": -2147483648,        "partner_sku": "string",        "price": "string",        "price_currency": "string",        "price_retail": "string"      }    }  ],  "next_renewal_date": "2019-08-24T14:15:22Z",  "num_lines": 0,  "num_orders": 0,  "orders": [    {      "billing_cycle": 0,      "order_number": "string"    }  ],  "payment_details": {    "property1": null,    "property2": null  },  "payment_method": "string",  "shipping_address": {    "country": "string",    "first_name": "string",    "id": 0,    "last_name": "string",    "line1": "string",    "line2": "string",    "line3": "string",    "line4": "string",    "notes": "string",    "phone_number": "string",    "postcode": "string",    "state": "string"  },  "shipping_code": "string",  "shipping_price": "string",  "status": "active",  "total": "string",  "user": {    "accepts_marketing": true,    "email": "user@example.com",    "first_name": "string",    "id": 0,    "ip": "string",    "language": "string",    "last_name": "string",    "phone_number": "string",    "user_agent": "string"  }}